Subject: Re: Exception number: c0000005 (access violation)
From: [email-masked] (John Cooper)

25 Jun 1997 07:33:27 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Mailer: Virtual Access by Ashmount Research Ltd, http://www.ashmount.com
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

> >I get this sometimes at RtlFreeHeap+0x21, on program runs with the same

> Your message came right after I started seeing these pop up with another 
> application I was extending.  This application has no relation to gnu-win32
> (God forbid!;-)).  It appears from the documentation that this is indicative
> of a memory overwrite situation.  You and I are both going to need some 
> memory debugging tools/gobs of time to track down our respective problems.
> Although I'll make no guarantees, I don't think your problem is specifically
> related to gnu-win32.  I know mine is not.

I think it must be b18 (or b18+Mingw32) related as I had the same program 
built with b17 running for several weeks of intensive testing. The only change I 
have made in going to b18+ming is to use time() instead of gettimeofday().

The problem is intermittent, the same run will sometimes crash, sometimes not. My 
client gets the same thing sometimes. I think the problem is corruption of the 
heap, but I can't think how to detect when it actually happens - my crash happens 
at the end of a long run which does thousands (millions?) of small allocations 
and deallocations of memory.
-- 
John Cooper (JPSC Ltd, UK)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".